html, body, #app {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
  font-size: 20px;
}

#app {
  display: flex;
}

#game {
  width: 500px;
  flex: 0 0 auto;
  background: #efeff1;
  padding: 20px;
  height: calc(100% - 40px);
  display: flex;
  flex-direction: column;
}

#game .fixed {
  flex: 0 0 auto;
}

#game .scrollable {
  flex: 1 1 auto;
  overflow: auto;
}

#game p {
  margin: 5px 0;
  text-align: center;
}

p em {
  font-size: 70%;
  margin-left: 10px;
}

p em:first-of-type {
  font-weight: bold;
}

#game a {
  display: block;
  cursor: pointer;
  background: #e0e0e0;
  text-align: center;
  font-weight: 600;
  color: #111;
  padding: 10px;
  appearance: none;
  border: 1px solid #d0d0d0;
  border-radius: 2px;
  outline: none;
  text-decoration: none;
  transition: background .2s, border .2s, box-shadow .2s, color .2s;
  user-select: none;
  /* white-space: nowrap; */
}

#game a i {
  display: block;
  font-size: 50%;
}

#game a:hover, #game a.selected {
  background: #d0d0d0;
  border-color: #9358cf;
}

img {
  display: block;
  margin: 0 auto;
  border: 2px solid #7f92a5;
  max-width: 100%;
  margin-bottom: 10px;
}

input {
  background: none;
  width: calc(100% - 22px);
  padding: 10px;
  font-size: 20px;
  border: 1px solid #7f92a5;
  border-radius: 4px;
  outline: none;
  text-align: center;
  margin: 10px 0;
}

.error {
  color: #c62121;
}
.success {
  color: #175f10;
}

#map-container {
  flex: 1 1 auto;
  width: 100%;
  height: 100vh; /* Full screen */
  overflow: hidden; /* Hide overflowing content during zoom */
  position: relative;
  cursor: grab; /* Change the cursor to a grab icon */
}

svg {
  width: 100%;
  height: 100%;
  transform-origin: center center; /* Set the transform origin for scaling */
}

#map-info {
  position: fixed;
  top: 50px;
  left: 600px;
  width: 300px;
  background-color: #efeff1;
  border-radius: 10px;
  z-index: 100;
  text-align: center;
  padding: 20px;
  border: 1px solid #7f92a5;
  opacity: 0.9;
}
#map-info img {
  max-width: 180px;
}

@media (max-width: 800px) {
  #game {
    flex: 1 1 auto;
    height: calc(100% - 40px);
    width: auto;
  }

  #game a {
    padding: 3px;
  }

  #map-container {
    display: none;
  }

  #map-info {
    position: initial;
    width: auto;
    flex: 0 0 auto;
    border: 0;
    padding: 0 0 10px;
    margin-bottom: 10px;
    border-bottom: 2px solid #7f92a5;
    border-radius: 0;
  }

  img {
    float: left;
    max-height: 50px;
    margin: 0 20px 0 0;
  }
}
